AUCRFcv {AUCRF} | R Documentation

## Repeated cross validation of the AUC-RF process.

### Description

Performes a repeated cross validation analysis and computes the probability of selection for each variable.

### Usage

      AUCRFcv(x, nCV = 5, M = 20)

### Arguments

`x` | an object of class `AUCRF`.
`nCV` | number of folds in cross validation. By default a 5-fold cross validation is performed.
`M` | number of cross validation repetitions.

### Details

The results of this repeated cross validation analysis are (1) a corrected estimation of the predictive accuracy of the selected variables and (2) an estimate of the probability of selection for each variable.
The AUC-RF algorithm is exhaustively described in Calle et. al.(2011).

### Value

The same `AUCRF` object passed (see `AUCRF`) as argument but updated with the following components:

`cvAUC` | mean of AUC values in test datasets of the optimal sets of predictors.
`Psel` | probability of selection of each variable as the proportion of times that is selected by AUC-RF method.

### References

Calle ML, Urrea V, Boulesteix A-L, Malats N (2011) "AUC-RF: A new strategy for genomic profiling with Random Forest". Human Heredity. (In press)

### See Also

`OptimalSet`, `AUCRF`, `randomForest`.

### Examples

      # Next steps take some time

      # load included AUCRF result example:
      # data(fit)

      # call AUCRFcv process:
      # fitCV <- AUCRFcv(fit)

      # The result of this example is included:

      data(fitCV)
      summary(fitCV)
      plot(fitCV)

[Package AUCRF version 1.1 Index]